Skip to main content
POST
/
merchant
/
gateway
/
edit
Payment Gateway Edit
curl --request POST \
  --url https://api.unibee.dev/merchant/gateway/edit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "gatewayId": 123,
  "companyIssuer": {
    "issueAddress": "<string>",
    "issueCompanyName": "<string>",
    "issueLogo": "<string>",
    "issueRegNumber": "<string>",
    "issueVatNumber": "<string>"
  },
  "currencyExchange": [
    {
      "exchange_rate": 123,
      "from_currency": "<string>",
      "to_currency": "<string>"
    }
  ],
  "displayName": "<string>",
  "gatewayKey": "<string>",
  "gatewayLogo": [
    [
      "<string>"
    ]
  ],
  "gatewayPaymentTypes": [
    "<string>"
  ],
  "gatewaySecret": "<string>",
  "metadata": {},
  "sort": 123,
  "subGateway": "<string>"
}
'
{
  "code": 123,
  "data": {
    "gateway": {
      "IsSetupFinished": true,
      "archive": true,
      "autoChargeEnabled": true,
      "bank": {
        "accountHolder": "<string>",
        "address": "<string>",
        "ABARoutingNumber": "<string>",
        "CNAPS": "<string>",
        "Remarks": "<string>",
        "accountNumber": "<string>",
        "bankName": "<string>",
        "bic": "<string>",
        "bsbCode": "<string>",
        "iban": "<string>",
        "swiftCode": "<string>"
      },
      "companyIssuer": {
        "issueAddress": "<string>",
        "issueCompanyName": "<string>",
        "issueLogo": "<string>",
        "issueRegNumber": "<string>",
        "issueVatNumber": "<string>"
      },
      "countryConfig": {},
      "createTime": 123,
      "currency": "<string>",
      "currencyExchange": [
        {
          "exchange_rate": 123,
          "from_currency": "<string>",
          "to_currency": "<string>"
        }
      ],
      "currencyExchangeEnabled": true,
      "defaultGatewayPaymentType": {
        "autoCharge": true,
        "category": "<string>",
        "countryName": "<string>",
        "name": "<string>",
        "paymentType": "<string>",
        "supportCurrencies": [
          "<string>"
        ]
      },
      "description": "<string>",
      "displayName": "<string>",
      "gatewayIcons": [
        "<string>"
      ],
      "gatewayId": 123,
      "gatewayKey": "<string>",
      "gatewayLogo": "<string>",
      "gatewayName": "<string>",
      "gatewayPaymentTypes": [
        {
          "autoCharge": true,
          "category": "<string>",
          "countryName": "<string>",
          "name": "<string>",
          "paymentType": "<string>",
          "supportCurrencies": [
            "<string>"
          ]
        }
      ],
      "gatewaySecret": "<string>",
      "gatewayType": 123,
      "gatewayWebhookIntegrationLink": "<string>",
      "gatewayWebsiteLink": "<string>",
      "isDefault": true,
      "metadata": {},
      "minimumAmount": 123,
      "name": "<string>",
      "privateSecretName": "<string>",
      "publicKeyName": "<string>",
      "setupGatewayPaymentTypes": [
        {
          "autoCharge": true,
          "category": "<string>",
          "countryName": "<string>",
          "name": "<string>",
          "paymentType": "<string>",
          "supportCurrencies": [
            "<string>"
          ]
        }
      ],
      "sort": 123,
      "subGateway": "<string>",
      "subGatewayName": "<string>",
      "webhookEndpointUrl": "<string>",
      "webhookSecret": "<string>"
    }
  },
  "merchantId": 123,
  "message": "<string>",
  "redirect": "<string>",
  "requestId": "<string>"
}

Endpoint Overview

POST https://api.unibee.dev/merchant/gateway/edit Edit the exist payment gateway

Authorization

All UniBee Merchant API requests require authentication via API key.
HeaderRequiredDescription
AuthorizationYesBearer <your_api_key>
Content-TypeYesapplication/json (for request body)

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body

NameTypeRequiredDescription
companyIssuerstringNo
currencyExchangearrayNoThe currency exchange for gateway payment, effect at start of payment creation when currency matched
displayNamestringNoThe displayName of payment gateway
gatewayIdintegerYesThe id of payment gateway
gatewayKeystringNoThe key of payment gateway
gatewayLogoarrayNoThe logo of payment gateway
gatewayPaymentTypesarrayNoSelected gateway payment types
gatewaySecretstringNoThe secret of payment gateway
metadataobjectNoMetadata,Map
sortintegerNoThe sort value of payment gateway, The higher the value, the lower the ranking
subGatewaystringNoThe sub gateway of payment gateway

Request examples

cURL

curl -X POST "https://api.unibee.dev/merchant/gateway/edit" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "companyIssuer": "",
  "currencyExchange": [],
  "displayName": "",
  "gatewayId": 0,
  "gatewayKey": "",
  "gatewayLogo": [],
  "gatewayPaymentTypes": [],
  "gatewaySecret": "",
  "metadata": {},
  "sort": 0,
  "subGateway": ""
}'

Sandbox

curl -X POST "https://api-sandbox.unibee.top/merchant/gateway/edit" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "companyIssuer": "",
  "currencyExchange": [],
  "displayName": "",
  "gatewayId": 0,
  "gatewayKey": "",
  "gatewayLogo": [],
  "gatewayPaymentTypes": [],
  "gatewaySecret": "",
  "metadata": {},
  "sort": 0,
  "subGateway": ""
}'

Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.
FieldTypeDescription
codeintegerResponse code. 0 = success
dataobjectResponse payload
data.gatewayobject
messagestringHuman-readable message
requestIdstringRequest ID for support

Error handling

HTTP statusMeaning
400Bad request — invalid or missing parameters. Check message in the body.
401Unauthorized — missing or invalid API key.
404Not found — invalid path or resource.
500Server error — retry with backoff.
When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Edit the exist payment gateway

gatewayId
integer<int64>
required

The id of payment gateway

companyIssuer
object
currencyExchange
object[]

The currency exchange for gateway payment, effect at start of payment creation when currency matched

displayName
string<*string>

The displayName of payment gateway

gatewayKey
string<*string>

The key of payment gateway

The logo of payment gateway

gatewayPaymentTypes
string<string>[]

Selected gateway payment types

gatewaySecret
string<*string>

The secret of payment gateway

metadata
object

Metadata,Map

sort
integer<*int64>

The sort value of payment gateway, The higher the value, the lower the ranking

subGateway
string<*string>

The sub gateway of payment gateway

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>